﻿Type=Class
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@

'#Event: ExampleEvent (Value As Int)
'#DesignerProperty: Key: BooleanExample, DisplayName: Boolean Example, FieldType: Boolean, DefaultValue: True, Description: Example of a boolean property.
'#DesignerProperty: Key: IntExample, DisplayName: Int Example, FieldType: Int, DefaultValue: 10, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
'#DesignerProperty: Key: StringWithListExample, DisplayName: String With List, FieldType: String, DefaultValue: Sunday, List: Sunday|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday
'#DesignerProperty: Key: StringExample, DisplayName: String Example, FieldType: String, DefaultValue: Text
'#DesignerProperty: Key: ColorExample, DisplayName: Color Example, FieldType: Color, DefaultValue: 0xFFCFDCDC, Description: You can use the built-in color picker to find the color values.
'#DesignerProperty: Key: DefaultColorExample, DisplayName: Default Color Example, FieldType: Color, DefaultValue: Null, Description: Setting the default value to Null means that a nullable field will be displayed.
Sub Class_Globals
	Private EventName As String 'ignore
	Private CallBack As Object 'ignore
	Private mBase As Panel
	'Private Const DefaultColorConstant As Int = -984833 'ignore
	
	Private MyPanel As Panel
	Public MyTitleFull As Panel
	Public MyTitleReduced As Panel
	Public MyScroll As ScrollView
End Sub

Public Sub Initialize (vCallback As Object, vEventName As String)
	EventName = vEventName
	CallBack = vCallback
	
	MyPanel.Initialize("MyPanel")
	MyTitleFull.Initialize("MyTitleFull")
	MyTitleReduced.Initialize("MyTitleReduced")
	MyScroll.Initialize2(1000dip,"MyScroll")
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	mBase = Base
    
	mBase.AddView(MyPanel,0,0,mBase.Width,mBase.Height)
	MyPanel.addview(MyTitleReduced,0,0,MyPanel.Width,100dip)
	MyPanel.addview(MyTitleFull,0,0,MyPanel.Width,50dip)
	
	MyPanel.AddView(MyScroll,0,MyTitleFull.Height,MyPanel.Width,MyPanel.Height-MyTitleFull.Height)
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

#Region Public

Sub AddTitleFull(Panel As Panel)
	Dim Height As Int = Panel.Height
	Panel.RemoveView
	MyTitleFull.RemoveView
	MyTitleFull=Panel
	MyPanel.addview(MyTitleFull,0,0,MyPanel.Width,Height)
	MyTitleFull.BringToFront
End Sub

Sub AddTitleReduce(Panel As Panel)
	Dim Height As Int = Panel.Height
	Panel.RemoveView
	MyTitleReduced.RemoveView
	MyTitleReduced=Panel
	MyPanel.addview(MyTitleReduced,0,0,MyPanel.Width,Height)
	MyTitleReduced.SendToBack
End Sub

#End Region

#REGION Private 

private Sub MyScroll_ScrollChanged(Position As Int)
	Dim Pos As Int = Max(MyTitleFull.Height-Position,MyTitleReduced.Height)
	MyScroll.Top=Pos
	MyTitleFull.Top=Pos-MyTitleFull.Height
	
	If Pos<MyTitleReduced.Height Then 
		MyTitleFull.SetVisibleAnimated(1000,False)
	Else
		MyTitleFull.SetVisibleAnimated(400,True)
	End If

End Sub

#End Region